=== requirements.txt ===
pytest >=3.6.0
setuptools_scm
