=== debian/changelog ===
pytest-dependency (0.5.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 01:30:56 +0000

pytest-dependency (0.5.1-4) unstable; urgency=medium

  * Set bage's debian.org email
  * Use global Salsa CI config
  * Fix missing-build-dependency-for-dh-addon

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 11:14:40 +0100

pytest-dependency (0.5.1-3) unstable; urgency=medium

  * Team upload
  * debian/patches/0930889a13e2b9baa7617f05dc9b55abede5209d.patch
    - apply upstream fix (PR #51) for pytest 6.2.x

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Sep 2021 22:22:33 -0400

pytest-dependency (0.5.1-2) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * Mark package python-pytest-dependency-doc as Multi-Arch: foreign.

  [ Bastian Germann ]
  * Source-only reupload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Jan 2021 12:58:43 -0500

pytest-dependency (0.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/control: be consistent with the <!nodoc> profile.
  * d/tests: run unit tests as an autopkgtest.

  [ Bastian Germann ]
  * Initial packaging work (Closes: #972718)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 20 Dec 2020 01:12:11 -0500
