=== debian/control ===
Source: pytest-dependency
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all:any,
               python3-setuptools,
               python3-pytest,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.1
Homepage: https://github.com/RKrahl/pytest-dependency
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-dependency
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-dependency.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pytest-dependency
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-pytest-dependency-doc
Description: Manages dependencies of pytest test cases (Python 3)
 This pytest plugin manages dependencies of tests.  It allows one to mark
 some tests as dependent from other tests.  These tests will then be
 skipped if any of the dependencies failed or were skipped.
 .
 This package installs the library for Python 3.

Package: python-pytest-dependency-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Manages dependencies of pytest test cases (common documentation)
 This pytest plugin manages dependencies of tests.  It allows one to mark
 some tests as dependent from other tests.  These tests will then be
 skipped if any of the dependencies failed or were skipped.
 .
 This is the common documentation package.
