=== debian/watch ===
version=4

opts=searchmode=plain,pgpsigurlmangle=s/$/\.asc/ \
  https://api.github.com/repos/RKrahl/pytest-dependency/releases https://github.com/RKrahl/pytest-dependency/releases/download/[^/]+/pytest-dependency-([\d\.]+)\.tar\.gz
